MyGUI: MyGUI::SubSkin Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::SubSkin Class Reference

`#include <MyGUI_SubSkin.h>`

Inheritance diagram for MyGUI::SubSkin:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SubSkin | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| SubSkin ()
void | setAlpha (float _alpha) override
void | setVisible (bool _visible) override
void | setStateData (IStateInfo *_data) override
void | createDrawItem (ITexture *_texture, ILayerNode *_node) override
void | destroyDrawItem () override
void | doRender () override
void | _updateView () override
void | _correctView () override
void | _setAlign (const IntSize &_oldsize) override
void | _setUVSet (const FloatRect &_rect) override
void | _setColour (const Colour &_value) override
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Attributes
FloatRect | mRectTexture
bool | mEmptyView {false}
VertexColourType | mVertexFormat
uint32 | mCurrentColour {0xFFFFFFFF}
FloatRect | mCurrentTexture
IntCoord | mCurrentCoord
ILayerNode * | mNode {nullptr}
RenderItem * | mRenderItem {nullptr}
bool | mSeparate {false}
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Detailed Description

Definition at line 23 of file MyGUI_SubSkin.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::SubSkin::Base

Definition at line 25 of file MyGUI_SubSkin.h.

## ◆ RTTIBase

typedef SubSkin MyGUI::SubSkin::RTTIBase

Definition at line 25 of file MyGUI_SubSkin.h.

## Constructor & Destructor Documentation

## ◆ SubSkin()

MyGUI::SubSkin::SubSkin | ( |  | ) |

Definition at line 20 of file MyGUI_SubSkin.cpp.

## Member Function Documentation

## ◆ _correctView()

void MyGUI::SubSkin::_correctView | ( |  | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 44 of file MyGUI_SubSkin.cpp.

## ◆ _setAlign()

void MyGUI::SubSkin::_setAlign | ( | const IntSize & | _oldsize | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 50 of file MyGUI_SubSkin.cpp.

## ◆ _setColour()

void MyGUI::SubSkin::_setColour | ( | const Colour & | _value | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 247 of file MyGUI_SubSkin.cpp.

## ◆ _setUVSet()

void MyGUI::SubSkin::_setUVSet | ( | const FloatRect & | _rect | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 174 of file MyGUI_SubSkin.cpp.

## ◆ _updateView()

void MyGUI::SubSkin::_updateView | ( |  | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 91 of file MyGUI_SubSkin.cpp.

## ◆ createDrawItem()

void MyGUI::SubSkin::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node )
| overridevirtual

Implements MyGUI::ISubWidget.

Definition at line 156 of file MyGUI_SubSkin.cpp.

## ◆ destroyDrawItem()

void MyGUI::SubSkin::destroyDrawItem | ( |  | ) |
| overridevirtual

Implements MyGUI::ISubWidget.

Definition at line 165 of file MyGUI_SubSkin.cpp.

## ◆ doRender()

void MyGUI::SubSkin::doRender | ( |  | ) |
| overridevirtual

Implements MyGUI::ISubWidget.

Definition at line 208 of file MyGUI_SubSkin.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::SubSkin::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 25 of file MyGUI_SubSkin.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::SubSkin::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Reimplemented in MyGUI::MainSkin.

Definition at line 25 of file MyGUI_SubSkin.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::SubSkin::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 25 of file MyGUI_SubSkin.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SubSkin::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Reimplemented in MyGUI::MainSkin.

Definition at line 25 of file MyGUI_SubSkin.h.

## ◆ setAlpha()

void MyGUI::SubSkin::setAlpha | ( | float | _alpha | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 35 of file MyGUI_SubSkin.cpp.

## ◆ setStateData()

void MyGUI::SubSkin::setStateData | ( | IStateInfo * | _data | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 256 of file MyGUI_SubSkin.cpp.

## ◆ setVisible()

void MyGUI::SubSkin::setVisible | ( | bool | _visible | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 25 of file MyGUI_SubSkin.cpp.

## Field Documentation

## ◆ mCurrentColour

uint32 MyGUI::SubSkin::mCurrentColour {0xFFFFFFFF}
| protected

Definition at line 56 of file MyGUI_SubSkin.h.

## ◆ mCurrentCoord

IntCoord MyGUI::SubSkin::mCurrentCoord
| protected

Definition at line 59 of file MyGUI_SubSkin.h.

## ◆ mCurrentTexture

FloatRect MyGUI::SubSkin::mCurrentTexture
| protected

Definition at line 58 of file MyGUI_SubSkin.h.

## ◆ mEmptyView

bool MyGUI::SubSkin::mEmptyView {false}
| protected

Definition at line 53 of file MyGUI_SubSkin.h.

## ◆ mNode

ILayerNode* MyGUI::SubSkin::mNode {nullptr}
| protected

Definition at line 61 of file MyGUI_SubSkin.h.

## ◆ mRectTexture

FloatRect MyGUI::SubSkin::mRectTexture
| protected

Definition at line 52 of file MyGUI_SubSkin.h.

## ◆ mRenderItem

RenderItem* MyGUI::SubSkin::mRenderItem {nullptr}
| protected

Definition at line 62 of file MyGUI_SubSkin.h.

## ◆ mSeparate

bool MyGUI::SubSkin::mSeparate {false}
| protected

Definition at line 64 of file MyGUI_SubSkin.h.

## ◆ mVertexFormat

VertexColourType MyGUI::SubSkin::mVertexFormat
| protected

Definition at line 55 of file MyGUI_SubSkin.h.

The documentation for this class was generated from the following files:

- MyGUI_SubSkin.h
- MyGUI_SubSkin.cpp